diff --git a/bin/Makefile.am b/bin/Makefile.am
index 2c6f3bc..68be89e 100644
--- a/bin/Makefile.am
+++ b/bin/Makefile.am
@@ -15,7 +15,8 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
 
-dist_bin_SCRIPTS = smokeinfo smokeping smokeping_cgi tSmoke
+dist_bin_SCRIPTS = smokeinfo smokeping_cgi tSmoke
+dist_sbin_SCRIPTS = smokeping
 
 install-exec-hook:
 	test "$(PERL5LIB)" = ""  || cd "$(DESTDIR)$(bindir)" && $(PERL) -i -p -e 's{.*# PERL5LIB}{use lib (split /:/, q{$(PERL5LIB)}); # PERL5LIB}'  $(dist_bin_SCRIPTS)
diff --git a/bin/smokeinfo b/bin/smokeinfo
index 2b38b86..ff96674 100755
--- a/bin/smokeinfo
+++ b/bin/smokeinfo
@@ -2,8 +2,7 @@
 use strict;
 use warnings;
 
-use lib (split /:/, q{}); # PERL5LIB
-use FindBin;use lib "$FindBin::RealBin/../lib";use lib "$FindBin::RealBin/../thirdparty/lib/perl5"; # LIBDIR
+use lib qw(/usr/share/smokeping);
 
 use Smokeping::Info;
 use Getopt::Long 2.25 qw(:config no_ignore_case);
diff --git a/bin/smokeping b/bin/smokeping
index 1dae42a..550beb5 100755
--- a/bin/smokeping
+++ b/bin/smokeping
@@ -4,13 +4,10 @@
 use strict;
 use warnings;
 
-use FindBin;
-use lib (split /:/, q{}); # PERL5LIB
-use lib "$FindBin::RealBin/../lib";use lib "$FindBin::RealBin/../thirdparty/lib/perl5"; # LIBDIR
-
+use lib qw(/usr/share/smokeping);
 use Smokeping;
  
-Smokeping::main("$FindBin::RealBin/../etc/config");
+Smokeping::main("/etc/smokeping/config");
 
 =head1 NAME
 
diff --git a/bin/smokeping_cgi b/bin/smokeping_cgi
index 610118c..9a995c1 100755
--- a/bin/smokeping_cgi
+++ b/bin/smokeping_cgi
@@ -4,9 +4,7 @@
 use strict;
 use warnings;
 
-use FindBin;
-use lib (split /:/, q{}); # PERL5LIB
-use lib "$FindBin::RealBin/../lib";use lib "$FindBin::RealBin/../thirdparty/lib/perl5"; # LIBDIR
+use lib qw(/usr/share/smokeping);
 
 # don't bother with zombies
 $SIG{CHLD} = 'IGNORE';
@@ -17,7 +15,7 @@ use Smokeping;
 
 use CGI::Fast;
 
-my $cfg = (shift @ARGV) || "$FindBin::Bin/../etc/config";
+my $cfg = (shift @ARGV) || "/etc/smokeping/config";
 
 
 while (my $q = new CGI::Fast) {
diff --git a/bin/tSmoke b/bin/tSmoke
index 6b56479..db9ef92 100755
--- a/bin/tSmoke
+++ b/bin/tSmoke
@@ -52,9 +52,7 @@ use warnings;
 #
 # Point the lib variables to your implementation
 
-use lib (split /:/, q{}); # PERL5LIB
-use FindBin;use lib "$FindBin::RealBin/../lib";use lib "$FindBin::RealBin/../thirdparty/lib/perl5"; # LIBDIR
-
+use lib qw(/usr/share/smokeping);
 
 use Smokeping;
 use Net::SMTP;
@@ -63,7 +61,7 @@ use Pod::Usage;
 use RRDs;
 
 # Point to your Smokeping config file
-my $cfgfile = (shift @ARGV) || "$FindBin::Bin/../etc/config";
+my $cfgfile = "etc/config.dist";
 
 # global variables
 my $cfg;
diff --git a/lib/Makefile.am b/lib/Makefile.am
index 2209134..ab09330 100644
--- a/lib/Makefile.am
+++ b/lib/Makefile.am
@@ -31,5 +31,5 @@ MATCH := $(wildcard Smokeping/matchers/*.pm)
 
 EXTRA_DIST = $(PM) $(SP) $(SORT) $(PROBE) $(MATCH)
 
-perllibdir = $(prefix)/lib
+perllibdir = $(prefix)/share/smokeping
 nobase_perllib_DATA = $(EXTRA_DIST)
